// Include the AccelStepper Library
#include <AccelStepper.h>

// Define step constants
#define FULLSTEP 4
#define HALFSTEP 8

// Creates two instances
// Pins entered in sequence IN1-IN3-IN2-IN4 for proper step sequence
AccelStepper leftStepper(HALFSTEP, 2, 4, 3, 5);
AccelStepper rightStepper(FULLSTEP, 6, 8, 7, 9);

void setup() {
	// set the maximum speed, acceleration factor,
	// initial speed and the target position for motor 1
	leftStepper.setMaxSpeed(1000.0);
	leftStepper.setAcceleration(50.0);
	leftStepper.setSpeed(200);
	leftStepper.moveTo(2038);

	// set the same for motor 2
	rightStepper.setMaxSpeed(1000.0);
	rightStepper.setAcceleration(50.0);
	rightStepper.setSpeed(200);
	rightStepper.moveTo(-2038);
}

void loop() {
	// Change direction once the motor reaches target position
	if (leftStepper.distanceToGo() == 0) 
		leftStepper.moveTo(-leftStepper.currentPosition());
	if (rightStepper.distanceToGo() == 0) 
		rightStepper.moveTo(-rightStepper.currentPosition());

	// Move the motor one step
	leftStepper.run();
	rightStepper.run();
}